Summary: Linux system and kernel logger
Name: sysklogd
Version: 1.3
Release: 22
Copyright: GPL
Group: Daemons
Source0: ftp://sunsite.unc.edu/pub/Linux/system/daemons/sysklogd-1.3.tar.gz
Source1: syslog.conf.rhs
Source2: syslog.init
Source3: syslog.log
Patch0: sysklogd-1.3-pl1.patch
Patch1: sysklogd-1.3-pl2.patch
Patch2: sysklogd-1.3-pl3.patch
Patch3: sysklogd-1.3-make.patch
Patch4: sysklogd-1.3-glibc.patch
Patch5: sysklogd-1.3-getutent.patch
Patch6: sysklogd-1.3-kernel21.patch
Patch7: sysklogd-1.3-exit.patch
Patch8: sysklogd-1.3-rh.patch
Prereq: fileutils, /sbin/chkconfig
Requires: logrotate
BuildRoot: /var/tmp/syslog-root
Summary(de): Linux-System- und Kerner-Logger 
Summary(fr): Le systme Linux et le logger du noyau
Summary(tr): Linux sistem ve ekirdek kayt sreci

%changelog
* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- patch to support Buildroot
- package is now buildrooted

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added exit patch so that a normal daemon exit is not flagged as an error.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
This is the Linux system and kernel logging program.  It is run
as a daemon (background process) to log messages to different
places.  These are usually things like sendmail logs, security
logs, and errors from other daemons.

%description -l de
Dies ist das Linux-System- und Kernel-Protokollierprogramm.
Es wird als Dmon (Hintergrundproze) ausgefhrt und protokolliert
verschiedene Meldungen. Es protokolliert z.B. sendmail- und
Sicherheits-Protokolle und Fehler von anderen Dmonen.

%description -l fr
Programme de trace du sytme Linux et du noyau. Il est lanc
en dmon (processus en arrire plan) pour stocker les messages
 diffrents endroits. Ce sont gnralement des choses comme les
traces de sendmail, de scurit et d'erreurs d'autres dmons. I

%description -l tr
Bu paket, Linux sistemi ve ekirdei iin kayt tutan program ierir. Deiik
yerlerde mesajlarn kaytlarn tutmak in arkaplanda koturulur. Bu mesajlar,
sendmail, gvenlik ve dier sunucu srelerinin hatalaryla ilgili mesajlardr.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch5 -p1 -b .getutent
%patch4 -p1 -b .noglibc

%ifarch sparc
%patch6 -p1 -b .broken
%endif 

%patch7 -p1 -b .exit
%patch8 -p1 -b .rh

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,man/man{5,8},sbin}}
make install TOPDIR=$RPM_BUILD_ROOT
install -m644 $RPM_SOURCE_DIR/syslog.conf.rhs $RPM_BUILD_ROOT/etc/syslog.conf
strip $RPM_BUILD_ROOT/usr/sbin/*

mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d}
install -m755 -o root -g root $RPM_SOURCE_DIR/syslog.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/syslog
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K70syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K70syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K70syslog
install -m644 -o root -g root $RPM_SOURCE_DIR/syslog.log \
	$RPM_BUILD_ROOT/etc/logrotate.d/syslog

chmod 755 $RPM_BUILD_ROOT/usr/sbin/syslogd
chmod 755 $RPM_BUILD_ROOT/usr/sbin/klogd

%post
for n in $RPM_BUILD_ROOT/var/log/messages $RPM_BUILD_ROOT/var/log/secure \
	$RPM_BUILD_ROOT/var/log/maillog $RPM_BUILD_ROOT/var/log/spooler; do
	if [ ! -f $n ]; then
		touch $n
		chmod 600 $n
	fi
done
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
fi

%files
%doc ANNOUNCE README* NEWS INSTALL Sysklogd-1.3.lsm
%config /etc/syslog.conf
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
%config(missingok) /etc/rc.d/rc0.d/K70syslog
%config(missingok) /etc/rc.d/rc3.d/S30syslog
%config(missingok) /etc/rc.d/rc1.d/K70syslog
%config(missingok) /etc/rc.d/rc5.d/S30syslog
%config(missingok) /etc/rc.d/rc2.d/S30syslog
%config(missingok) /etc/rc.d/rc6.d/K70syslog
/usr/sbin/*
/usr/man/*/*
